Cards, prop trading & accounting

Upsert Account Mapping

Replaces the client's category-to-QBO-account mappings for an invoice type, resolving names from the live chart of accounts.

POSThttps://api.toku.com/platform/upsert-account-mapping

Not available to API keys yet. It will need integrations:write.

curl --request POST \
  --url 'https://api.toku.com/platform/upsert-account-mapping' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "clientId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "invoiceType": "EOR_PEO",
  "mappings": [
    {
      "tokuCategory": "GROSS_WAGES",
      "qboAccountId": "string"
    }
  ]
}'
200 response
{
  "version": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

clientIdstring<uuid>
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

mappingsobject[]required
Show child attributes
tokuCategorystringrequired

Available options: GROSS_WAGES, EMPLOYER_TAXES, EMPLOYER_BENEFITS, EOR_MANAGEMENT_FEE, EMPLOYEE_TAX_WITHHOLDING, EMPLOYEE_BENEFITS_WITHHOLDING, ACCOUNTS_PAYABLE, GROSS_CRYPTO, EMPLOYER_TOKEN_TAXES, TOKEN_TAX_WITHHOLDING, NET_CRYPTO_PAYABLE, CONTRACTOR_PAYMENTS, CONTRACTOR_MANAGEMENT_FEE, NET_PAY_CLEARING, EMPLOYER_COST_PAYABLE

qboAccountIdstringrequired

Allowed: at least 1 characters

Response

200Successful response
versionnumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits